aboutsummaryrefslogtreecommitdiff
path: root/source/1.0/src
diff options
context:
space:
mode:
authorkate.ward <kate.ward@forestent.com>2008-11-15 19:59:57 +0000
committerkate.ward <kate.ward@forestent.com>2008-11-15 19:59:57 +0000
commit619806d8673b42bde1fd156df1ef8971a682b302 (patch)
tree125aa1858df20c6bbc153daeed3cd8fe7a3aa73e /source/1.0/src
parent081076958f7d9c8735d53164ab114874002e6821 (diff)
downloadshflags-619806d8673b42bde1fd156df1ef8971a682b302.tar.gz
added a bit of extra testing output
Diffstat (limited to 'source/1.0/src')
-rwxr-xr-xsource/1.0/src/shflags_test_parsing.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/source/1.0/src/shflags_test_parsing.sh b/source/1.0/src/shflags_test_parsing.sh
index 1ce98c0..c027522 100755
--- a/source/1.0/src/shflags_test_parsing.sh
+++ b/source/1.0/src/shflags_test_parsing.sh
@@ -21,7 +21,9 @@
testStandardGetopt()
{
_flags_standardGetopt '-b' >"${stdoutF}" 2>"${stderrF}"
- assertTrue "didn't parse valid flag 'b'" $?
+ rslt=$?
+ assertTrue "didn't parse valid flag 'b'" ${rslt}
+ th_showOutput ${rslt} "${stdoutF}" "${stderrF}"
_flags_standardGetopt '-x' >"${stdoutF}" 2>"${stderrF}"
assertFalse "parsed invalid flag 'x'" $?
@@ -265,8 +267,10 @@ oneTimeSetUp()
{
th_oneTimeSetUp
- if [ ${__FLAGS_GETOPT_VERS} -eq ${__FLAGS_GETOPT_VERS_STD} ]; then
- th_warn 'Standard version of getopt found. Some tests will be skipped.'
+ if flags_getoptIsStd; then
+ th_warn 'Standard version of getopt found. Enhanced tests will be skipped.'
+ else
+ th_warn 'Enhanced version of getopt found. Standard tests will be skipped.'
fi
}